*{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}
html , body{
    height: 100%;
    width: 100%;
    font-family: system-ui, -apple-system, BlinkMacSystemFont, 'Segoe UI', Roboto, Oxygen, Ubuntu, Cantarell, 'Open Sans', 'Helvetica Neue', sans-serif;
}
:root{
    --bg-color: #000;
    --bg-button-color: #1a1a1a;
    --bg-task-color: #2a2a2a;
    --primary-text-color: #f0f0f0;
    --delete-color: red;

    /* padding variables */
    --nav-padding: 1vw 2vw;
    --board-padding: 1vw 2vw;
    --padding-sm: 5px;
    --padding-lg: 10px;
    --padding-xl: 15px;
    --padding-2xl: 20px;
    --padding-3xl: 30px;

    /* border radius variables */
    --border-radius-sm: 5px;
    --border-radius-lg: 10px;
    --border-radius-xl: 15px;
    --border-radius-2xl: 20px;
}
.main{
    width: 100%;
    min-height: 100%;
    background-color: var(--bg-color);
    color: var(--primary-text-color);
    display: flex;
    flex-direction: column;
}
nav{
    padding: var(--nav-padding);
    display: flex;
    align-items: center;
    justify-content: space-between;
    position: sticky;
    top: 0;
    background-color: var(--bg-color);
}
nav h3{
    font-size: 1.4vw;
    font-weight: 500;
}
nav button{
    background-color: var(--bg-button-color);
    color: var(--primary-text-color);
    border: none;
    outline: none;
    cursor: pointer;
    padding: var(--padding-lg) var(--padding-xl);
    border-radius: var(--border-radius-sm);
    font-size: 1vw;
}
.board{
    padding: var(--board-padding);
    display: flex;
    justify-content: space-between;
    gap: var(--padding-2xl);
    flex-grow: 1;
}
.task-column{
    width: 100%;
    background-color: var(--bg-button-color);
    border-radius: var(--border-radius-sm);
    flex-grow: 1;
    display: flex;
    flex-direction: column;
    gap: var(--padding-lg);
    padding: var(--padding-lg);
    transition: all .7s cubic-bezier(0.19, 1, 0.22, 1);
}
.task-column h3{
    font-size: 1.3vw;
    font-weight: 500;
}
.task-column.hover-over{
    border: 3.5px dashed var(--primary-text-color);
    transform: scale(1.04);
}
.heading{
    width: 100%;
    display: flex;
    justify-content: space-between;
}
.task{
    background-color: var(--bg-task-color);
    border-radius: var(--border-radius-sm);
    padding: var(--padding-lg);
    display: flex;
    flex-direction: column;
    gap: var(--padding-sm);
    cursor: grab;
}
.task p{
    font-size: 1.2vw;
}
.task button{
    align-self: flex-end;
    cursor: pointer;
    padding: var(--padding-sm) var(--padding-lg);
    border-radius: var(--border-radius-sm);
    border: none;
    outline: none;
    color: var(--primary-text-color);
    background-color: var(--delete-color);
}
.modal{
    position: fixed;
    width: 100vw;
    height: 100vh;
    top: 0;
    left: 0;
    display: none;
    align-items: center;
    justify-content: center;
}
.modal.active{
    display: flex;
}
.modal .bg{
    position: absolute;
    height: 100%;
    width: 100%;
    background-color: rgba(61, 61, 61, 0.404);
    backdrop-filter: blur(5px);
}
.center{
    display: flex;
    flex-direction: column;
    gap: var(--padding-lg);
    background-color: var(--bg-button-color);
    border-radius: var(--border-radius-lg);
    padding: var(--padding-3xl);
    z-index: 10;
}
.center input, .center textarea, .center select{
    background-color: var(--bg-task-color);
    border-radius: var(--border-radius-lg);
    padding: var(--padding-lg);
    color: var(--primary-text-color);
    border: none;
    outline: none;
}
.center button{
    background-color: var(--bg-task-color);
    border-radius: var(--border-radius-lg);
    padding: var(--padding-lg) var(--padding-xl);
    color: var(--primary-text-color);
    border: none;
    outline: none;
    cursor: pointer;
    width: fit-content;
    align-self: center;
}
.modal i{
    cursor: pointer;
    position: absolute;
    top: 5%;
    right: 5%;
    font-size: 2.2vw;
    color: var(--primary-text-color);
    z-index: 10;
    transition: all .7s cubic-bezier(0.19, 1, 0.22, 1);
    display: inline-block;
}
.modal i:hover{
    transform: rotate(180deg);
}